<?php
namespace Magento\Framework\Api\Search\SearchCriteria;

/**
 * Interceptor class for @see \Magento\Framework\Api\Search\SearchCriteria
 */
class Interceptor extends \Magento\Framework\Api\Search\SearchCriteria implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(array $data = [])
    {
        $this->___init();
        parent::__construct($data);
    }

    /**
     * {@inheritdoc}
     */
    public function setSortOrders(?array $sortOrders = null)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'setSortOrders');
        return $pluginInfo ? $this->___callPlugins('setSortOrders', func_get_args(), $pluginInfo) : parent::setSortOrders($sortOrders);
    }
}
